<p>
  We generally follow the same coding standards as edX:
</p>
<ul>
  <li>
    <a href="https://gitlab.com/opencraft/documentation/private/blob/master/pdfs/CodeReviewGuidelinesandGotchas-2017-25-07.pdf">Code Review Guidelines &amp; Gotchas</a> --
    Although this document, referencing the Teaching & Learning Team, is
    slightly dated, the information on how many steps and considerations are
    involved in getting an upstream pull request merged are valuable.
  </li>
  <li>
    <a href="https://edx.readthedocs.io/projects/edx-developer-guide/en/latest/">Open edX Developer’s Guide</a>
  </li>
  <li>
    <span style="background-color: #fff5e5;"><a href="http://edx.readthedocs.io/projects/edx-developer-guide/en/latest/style_guides/python-guidelines.html">edX Python Coding Standards</a>❗</span>
    and
    <a href="http://edx-developer-guide.readthedocs.org/en/latest/testing/code-quality.html">code quality standards</a>
  </li>
</ul>
